%global pypi_name uamqp
%global commitId 5b31ff4fbb824c35320646b912818b2ea9d25239
%global upstream_version .1.6.4

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        %(echo %{upstream_version} | %{__sed} -e 's#^\.##')
Release:        1%{?dist}
Summary:        An AMQP 1.0 client library for Python

License:        MIT
URL:            https://github.com/Azure/azure-uamqp-python
Source0:        python-uamqp-5b31ff4fbb824c35320646b912818b2ea9d25239.tar.gz
Patch0:         0001-Strip-Werror-from-compile.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
An AMQP 1.0 client library for Python.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        An AMQP 1.0 client library for Python

Requires:       python%{python3_pkgversion}-certifi >= 2017.4.17

%description -n python%{python3_pkgversion}-%{pypi_name}
An AMQP 1.0 client library for Python.

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

%build
export UAMQP_REBUILD_PYX=True
%{py3_build}

%install
%{py3_install}
rm %{buildroot}%{python3_sitearch}/%{pypi_name}/*.c

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc HISTORY.rst README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Apr 25 2023 Dimitri Savineau <dsavinea@redhat.com> 1.6.4-1
- Initial release
